%h3.page-title
  = t("profiles.accounts.account_settings")
%p.light
  = t("profiles.accounts.you_can_change_your_username_and_private_token_here")
  - if current_user.ldap_user?
    = t("profiles.accounts.some_options_are_unavailable_for_LDAP_accounts")
%hr


.account-page
  %fieldset.update-token
    %legend
      = t("profiles.accounts.private_token")
    %div
      = form_for @user, url: reset_private_token_profile_path, method: :put do |f|
        .data
          %p
            = t("profiles.accounts.your_private_token_is_used_to_access_app_resources_without_authentication")
            %br
              = t("profiles.accounts.it_can_be_used_for_atom_feeds_or_the_API")
            %span.cred
              = t("profiles.accounts.keep_it_secret")

          %p.cgray
            - if current_user.private_token
              = text_field_tag "token", current_user.private_token, class: "form-control"
              %div
                = f.submit t("profiles.accounts.reset"), data: { confirm: t("profiles.accounts.are_you_sure") }, class: "btn btn-primary btn-build-token"
            - else
              %span 
                = t("profiles.accounts.you_do_not_have_one_yet_click_generate")
              = f.submit t("profiles.accounts.generate"), class: "btn success btn-build-token"


  - if show_profile_social_tab?
    %fieldset
      %legend 
        = t("profiles.accounts.social_accounts")
      .oauth_select_holder.append-bottom-10
        %p 
          = t("profiles.accounts.click_on_icon_to_activate_signin_with")
        - enabled_social_providers.each do |provider|
          %span{class: oauth_active_class(provider) }
            = link_to authbutton(provider, 32), omniauth_authorize_path(User, provider)

  - if show_profile_username_tab?
    %fieldset.update-username
      %legend
        = t("profiles.accounts.username")
      = form_for @user, url: update_username_profile_path,  method: :put, remote: true do |f|
        %p
          = t("profiles.accounts.changing_your_username_will_change_path_to_all_your_personal_projects")
        %div
          = f.text_field :username, required: true, class: 'form-control'
          &nbsp;
        .loading-gif.hide
          %p
            %i.icon-spinner.icon-spin
              = t("profiles.accounts.saving_new_username")
        %p.light
          = user_url(@user)
        %div
          = f.submit t("profiles.accounts.save_username"), class: "btn btn-save"

  - if show_profile_remove_tab?
    %fieldset.remove-account
      %legend
        = t("profiles.accounts.remove_account")
      %div
        %p 
          = t("profiles.accounts.deleting_an_account_has_the_effects")
        %ul
          %li 
            = t("profiles.accounts.all_user_content_like_authored_issues_snippents_comments_will_be_removed")
          - rp = current_user.personal_projects.count
          - unless rp.zero?
            %li #{t("profiles.accounts.personal_project", count: rp)} #{t("profiles.accounts.will_be_removed_and_cannot_be_restored")}
          - if current_user.solo_owned_groups.present?
            %li
              = t("profiles.accounts.following_groups_will_be_abandoned_transfer_or_remove_them")
              %strong #{current_user.solo_owned_groups.map(&:name).join(', ')}
        = link_to t("profiles.accounts.delete_account"), user_registration_path, data: { confirm: "#{t('profiles.accounts.remove')} #{current_user.name}? #{t('profiles.accounts.are_you_sure')}" }, method: :delete, class: "btn btn-remove"
